Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package util
  Definition Classes
    nsc
-  object ShowPickled extends Names
  Definition Classes
    util
- Name
- NameApi
- NameOps
- PickleBufferEntry
- PickleBufferEntryList
- TermName
- TermName
- TermNameApi
- TermNameExtractor
- TypeName
- TypeName
- TypeNameApi
- TypeNameExtractor

c

scala.tools.nsc.util.ShowPickled

# PickleBufferEntry

###

#### case class PickleBufferEntry(num: Int, startIndex: Int, tag: Int, bytes: Array[Byte]) extends Product with Serializable

Source
  ShowPickled.scala

Linear Supertypes
java.io.Serializable, Product, Equals, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PickleBufferEntry
2. Serializable
3. Product
4. Equals
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new PickleBufferEntry(num: Int, startIndex: Int, tag: Int, bytes: Array[Byte])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from PickleBufferEntry toany2stringadd[PickleBufferEntry] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (PickleBufferEntry, B)
   Implicit
     This member is added by an implicit conversion from PickleBufferEntry toArrowAssoc[PickleBufferEntry] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  val bytes: Array[Byte]
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def ensuring(cond: (PickleBufferEntry) => Boolean, msg: => Any): PickleBufferEntry
   Implicit
     This member is added by an implicit conversion from PickleBufferEntry toEnsuring[PickleBufferEntry] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (PickleBufferEntry) => Boolean): PickleBufferEntry
    Implicit
      This member is added by an implicit conversion from PickleBufferEntry toEnsuring[PickleBufferEntry] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: => Any): PickleBufferEntry
    Implicit
      This member is added by an implicit conversion from PickleBufferEntry toEnsuring[PickleBufferEntry] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): PickleBufferEntry
    Implicit
      This member is added by an implicit conversion from PickleBufferEntry toEnsuring[PickleBufferEntry] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from PickleBufferEntry toStringFormat[PickleBufferEntry] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hasName: Boolean
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  def isName: Boolean
20.  def nameIndex: Int
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  val num: Int
25.  def productElementNames: Iterator[String]
    Definition Classes
      Product
26.  def readName: String
27.  val startIndex: Int
28.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
29.  val tag: Int
30.  def tagName: String
31.  def toString(): String
    Definition Classes
      PickleBufferEntry → AnyRef → Any
32.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
33.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
34.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (PickleBufferEntry, B)
   Implicit
     This member is added by an implicit conversion from PickleBufferEntry toArrowAssoc[PickleBufferEntry] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromPickleBufferEntry to any2stringadd[PickleBufferEntry]

### Inherited by implicit conversion StringFormat fromPickleBufferEntry to StringFormat[PickleBufferEntry]

### Inherited by implicit conversion Ensuring fromPickleBufferEntry to Ensuring[PickleBufferEntry]

### Inherited by implicit conversion ArrowAssoc fromPickleBufferEntry to ArrowAssoc[PickleBufferEntry]

### Ungrouped